Commits

Zhang Huangbin  committed 4af6864

Fixed: mod_auth_pgsql is required by cluebringer too.
Thanks Ville Lamminen <ville.lamminen _at_ locactive.com> for the feedback.

  • Participants
  • Parent commits deff4fe

Comments (0)

Files changed (1)

File iRedMail/functions/packages.sh

             ALL_PKGS="${ALL_PKGS} postgresql-server${PKG_ARCH} postgresql-contrib${PKG_ARCH}"
 
             # For Awstats.
-            [ X"${USE_AWSTATS}" == X"YES" ] && ALL_PKGS="${ALL_PKGS} mod_auth_pgsql${PKG_ARCH}"
+            [ X"${USE_AWSTATS}" == X'YES' -o X"${USE_CLUEBRINGER}" == X'YES' ] && \
+                ALL_PKGS="${ALL_PKGS} mod_auth_pgsql${PKG_ARCH}"
 
         elif [ X"${DISTRO}" == X"SUSE" ]; then
             ALL_PKGS="${ALL_PKGS} postgresql-server postgresql-contrib postfix-postgresql"